@import "compass/css3";
 @import url(https://fonts.googleapis.com/css?family=Source+Sans+Pro);
 html {
	 background-image: radial-gradient(ellipse at top center, rgba(238, 242, 217, 1), rgba(217, 217, 242, 0)), radial-gradient(circle at bottom left, rgba(217, 217, 242, 1), rgba(217, 217, 242, 0)), radial-gradient(circle at bottom right, rgba(238, 255, 204, 1), rgba(217, 217, 242, 0));
	 box-shadow: 0 0 100px rgba(0, 0, 0, 0.2) inset;
	 min-height: 100%;
}
 body {
	 font-family: "Source Sans Pro", sans-serif;
}
 .window {
	 position: relative;
	 margin: 50px auto;
	 width: 840px;
	 height: 640px;
	 border-radius: 4px;
	 border: 1px solid #c1c1bf;
	 box-shadow: 0 0 100px rgba(0, 0, 0, 0.3);
	 background: white;
	 overflow: hidden;
}
 .conv-list-view {
	 position: absolute;
	 width: 270px;
	 height: 100%;
	 box-shadow: 0 0 4px rgba(128, 128, 128, 0.7);
	 background: white;
	 z-index: 1;
}
 .conv-list-view__header {
	 height: 50px;
	 border-bottom: 1px solid #f0f0f0;
}
 .status__indicator:after, .status__indicator--online:after, .status__indicator--unread-message:after, .status__indicator--replied-message:after, .status__indicator--read-message:after, .status__indicator:before, .status__indicator--online:before, .status__indicator--unread-message:before, .status__indicator--replied-message:before, .status__indicator--read-message:before, .message__bubble:after, .message__bubble--send:after, .input:after, .input__emoticon:after, .input__emoticon:before {
	 position: absolute;
	 content: "";
}
 .conv-list, .close-button-list, .function-list {
	 list-style: none;
}
 .conv-list li, .close-button-list li, .function-list li {
	 float: left;
}
 .conv-list {
	 position: absolute;
	 left: 0;
	 right: 0;
	 margin: 0;
	 padding: 0;
}
 .conv-list li {
	 box-sizing: border-box;
	 padding: 0.5em 0.5em;
	 width: 100%;
	 border-bottom: 1px solid #e3e3e3;
	 overflow-x: hidden;
}
 .conv-list .selected {
	 background-color: #fbfbfb;
	 box-shadow: 0 1px 1px 0 rgba(230, 230, 230, 0.3) inset, 0 -1px 1px 0 rgba(230, 230, 230, 0.3) inset;
}
 .close-button-list {
	 display: inline-block;
	 margin: 0;
	 padding: 19px 10px;
	 float: left;
}
 .close-button-list li {
	 width: 12px;
	 height: 12px;
	 margin-left: 8px;
	 background-image: radial-gradient(20px 15px at center 15%, white, rgba(255, 255, 255, 0) 35%), radial-gradient(30px 30px at center bottom, white, transparent);
	 background-color: #d9d9d9;
	 border-radius: 100%;
	 box-shadow: 0 1px 1px rgba(61, 41, 41, 0.4) inset, 0 -1px 1px rgba(61, 41, 41, 0.3) inset;
}
 .status {
	 position: relative;
	 padding: 0 1em;
	 float: left;
}
 .status__indicator, .status__indicator--online, .status__indicator--unread-message, .status__indicator--replied-message, .status__indicator--read-message {
	 position: absolute;
	 left: 0;
	 width: 8px;
	 height: 100%;
}
 .status__indicator:after, .status__indicator--online:after, .status__indicator--unread-message:after, .status__indicator--replied-message:after, .status__indicator--read-message:after, .status__indicator:before, .status__indicator--online:before, .status__indicator--unread-message:before, .status__indicator--replied-message:before, .status__indicator--read-message:before {
	 top: 50%;
}
 .status__indicator--online:after, .status__indicator--unread-message:after {
	 margin-top: -4px;
	 width: 8px;
	 height: 8px;
	 border-radius: 100%;
	 box-shadow: 0 0 1px rgba(26, 26, 26, 1) inset, 0 -1px 3px rgba(38, 38, 38, 0.6) inset;
	 background-color: #66b736;
}
 .status__indicator--unread-message:after {
	 background-color: #5383e3;
}
 .status__indicator--replied-message {
	 left: -2px;
}
 .status__indicator--replied-message:before {
	 margin-top: -4px;
	 border-style: solid;
	 border-width: 4px 5px 4px 0;
	 border-color: transparent #bbbec4 transparent transparent;
	 transform: rotate(360deg);
}
 .status__indicator--replied-message:after {
	 left: -5px;
	 margin-top: -2px;
	 width: 16px;
	 height: 18px;
	 clip: rect(0 auto auto 8px);
	 border-top: 4px solid #bbbec4;
	 border-radius: 50%;
}
 .status__indicator--read-message:after, .status__indicator--read-message:before {
	 background-color: #bbbec4;
	 border-radius: 0.2em;
}
 .status__indicator--read-message:before {
	 width: 0.15em;
	 height: 0.3em;
	 transform: rotate(-45deg);
}
 .status__indicator--read-message:after {
	 margin-top: -0.25em;
	 left: 0.28em;
	 width: 0.12em;
	 height: 0.6em;
	 transform: rotate(45deg);
}
 .status__avatar, .status__avatar--small, .status__avatar--facebook, .message__avatar {
	 position: relative;
	 display: block;
	 float: left;
	 width: 2.5em;
	 height: 2.5em;
	 border-radius: 0.3em;
	 margin: 0 0.5em 0 0;
	 overflow: hidden;
}
 .status__avatar:before, .status__avatar--small:before, .status__avatar--facebook:before, .message__avatar:before {
	 position: absolute;
	 content: "";
	 top: 0;
	 left: 0;
	 right: 0;
	 bottom: 0;
	 box-shadow: 0 0 0.125em rgba(26, 26, 26, 1) inset, 0 0 0.312em rgba(26, 26, 26, 1) inset;
}
 .status__avatar img, .status__avatar--small img, .status__avatar--facebook img, .message__avatar img {
	 width: inherit;
	 height: inherit;
}
 .status__avatar--small {
	 font-size: 0.8em;
}
 .status__avatar--facebook:after {
	 box-sizing: border-box;
	 position: absolute;
	 font-weight: bold;
	 content: "f";
	 padding: 0 0.3em;
	 line-height: 15px;
	 right: 0;
	 bottom: 0;
	 width: 15px;
	 height: 15px;
	 color: white;
	 background-color: #485396;
	 box-shadow: 0 0 1px #2d3989 inset;
	 border-radius: 3px 0 0 0;
}
 .meta {
	 white-space: nowrap;
}
 .meta__sub, .meta__sub--dark, .meta__sub--light {
	 font-size: 0.8em;
}
 .meta__sub--dark {
	 color: #8d8d8d;
}
 .meta__sub--light {
	 color: #a5a5a4;
}
 .chat-view {
	 position: absolute;
	 left: 270px;
	 right: 0;
	 bottom: 0;
	 top: 0;
	 padding: 0.625em 1.25em 1.25em 1.25em;
	 background: #f2f1ec;
	 z-index: 0;
}
 .chat-view__header {
	 position: relative;
	 border-bottom: 1px solid rgba(128, 128, 128, 0.1);
	 height: 40px;
}
 .chat-view__header:after {
	 position: absolute;
	 content: "";
	 bottom: -15px;
	 left: 0;
	 right: 0;
	 height: 15px;
	 background: radial-gradient(50% 30% at center top, rgba(128, 128, 128, 0.1), transparent);
}
 .message-view {
	 padding: 1em;
	 font-size: 0.9em;
}
.message{
  width: 100%;
  display: flex;
  justify-content: end;
}
 .message--send {
    width: 100%;
    display: flex;
    justify-content: start;
}
 .message__bubble, .message__bubble--send {
	 float: left;
	 position: relative;
	 display: inline-block;
	 margin: 0.5em 0.75em;
	 padding: 0.1em 0.5em;
	 border-radius: 1.5em;
	 text-shadow: 0 1px 1px white;
	 background-color: #f5f4f1;
	 border: 1px solid #cdcdca;
	 box-shadow: 0 1px 1px 0 #cdcdca;
	 overflow: hidden;
}
 .message__bubble:after, .message__bubble--send:after {
	 top: 0;
	 bottom: 0;
	 left: 0;
	 right: 0;
	 border-radius: inherit;
	 background: radial-gradient(40% 5px at 50% 5px, rgba(255, 255, 255, 0.4) 70%, rgba(255, 255, 255, 0));
}
 .message__bubble--send {
	 background-color: #e9f2dc;
	 border: 1px solid #b7c8a1;
}
 .message__bubble--send:after {
	 background: radial-gradient(40% 5px at 50% 5px, rgba(255, 255, 255, 0.2) 70%, rgba(255, 255, 255, 0));
}
 .message__avatar {
	 margin-right: 0;
}
 .chat-view__input {
	 position: absolute;
	 bottom: 0;
	 left: 0;
	 width: 100%;
	 padding: 0.25em 0.5em 0.5em 0.75em;
}
 .input {
	 position: relative;
	 float: left;
	 width: 480px;
	 margin-top: 1px;
	 background: white;
	 padding: 0 0.3em;
	 border: none;
	 border-radius: 4px;
	 border: 1px solid #cdcdca;
	 box-shadow: 0 0 2px 0 #cdcdca inset;
	 white-space: nowrap;
}
 .input:after {
	 top: 50%;
	 right: -2px;
	 margin-top: -3px;
	 width: 6px;
	 height: 6px;
	 background: white;
	 box-shadow: 1px -1px 0 0.5px #cdcdca;
	 transform: rotate(45deg);
}
 .input input {
	 font-size: 1.1em;
	 appearance: none;
	 border: none;
	 width: 93%;
	 outline: none;
}
 .input__emoticon {
	 position: relative;
	 display: inline-block;
	 float: right;
	 margin-top: 0.32em;
	 height: 0.8em;
	 width: 0.8em;
	 opacity: 0.5;
	 border: 0.15em solid #b3b3b1;
	 border-radius: 100%;
}
 .input__emoticon:after, .input__emoticon:before {
	 border-radius: 100%;
}
 .input__emoticon:before {
	 top: 0.14em;
	 left: 0.15em;
	 width: 0.2em;
	 height: 0.2em;
	 background-color: #b3b3b1;
	 box-shadow: 0.35em 0 0 0 #b3b3b1;
}
 .input__emoticon:after {
	 top: 0.12em;
	 left: 0.12em;
	 right: 0.12em;
	 bottom: 0.12em;
	 clip: rect(0.3em auto auto 0);
	 border: 0.125em solid #b3b3b1;
}
 .function-list {
	 margin: 0;
	 padding: 5px 0;
	 float: right;
}
 .function-list li {
	 margin-left: 1.25em;
}
 .icon-clock, .icon-cloud, .icon-dots, .icon-lupe {
	 position: relative;
}
 .icon-clock:after, .icon-cloud:after, .icon-dots:after, .icon-lupe:after, .icon-clock:before, .icon-cloud:before, .icon-dots:before, .icon-lupe:before {
	 position: absolute;
	 content: "";
}
 .icon-clock {
	 position: relative;
	 width: 0.9em;
	 height: 0.9em;
	 border: 0.13em solid #71716e;
	 border-radius: 100%;
}
 .icon-clock:after, .icon-clock:before {
	 left: 0.4em;
	 background-color: #71716e;
}
 .icon-clock:after {
	 top: 0.4em;
	 width: 0.3em;
	 height: 0.13em;
}
 .icon-clock:before {
	 top: 0.15em;
	 height: 0.3em;
	 width: 0.13em;
}
 .icon-cloud {
	 margin: 0.5em 0;
	 width: 1.5em;
	 height: 0.5em;
	 background-color: #71716e;
	 border-radius: 25em;
}
 .icon-cloud:after {
	 top: -0.25em;
	 left: 0.15em;
	 width: 0.75em;
	 height: 0.75em;
	 background-color: inherit;
	 border-radius: 100%;
	 box-shadow: 0.4em -0.2em 0 0.05em #71716e;
}
 .icon-cloud:before {
	 top: -0.4em;
	 left: 0.89em;
	 content: "⬆";
	 font-size: 0.55em;
	 color: white;
	 z-index: 1;
}
 .icon-dots {
	 width: 0.35em;
	 height: 0.35em;
	 margin-top: 0.5em;
	 margin-right: 1.15em;
	 background-color: #71716e;
	 border-radius: 100%;
	 box-shadow: 0.5em 0 0 #71716e, 1em 0 0 #71716e;
}
 .icon-lupe {
	 margin: 0.85em 0.9em 0 0;
	 width: 0.4em;
	 height: 0.4em;
	 border: 0.15em solid #71716e;
	 border-radius: 100%;
}
 .icon-lupe:after {
	 height: 0.38em;
	 width: 0.2em;
	 background: #71716e;
	 right: -0.2em;
	 bottom: -0.3em;
	 transform: rotate(-45deg);
	 border-radius: 0 0 1em 1em;
}
 h1 {
	 text-align: center;
	 text-shadow: 0 1px 1px white;
}
 .credit {
	 font-size: 0.8em;
	 color: gray;
	 width: 840px;
	 margin: 0 auto;
	 text-align: center;
	 text-shadow: 0 1px 1px white;
}
 a {
	 color: darkblue;
	 text-decoration: none;
}
 a:hover {
	 text-decoration: underline;
}
 .cf:before, .cf:after {
	 content: " ";
	/* 1 */
	 display: table;
	/* 2 */
}
 .cf:after {
	 clear: both;
}
 